# $Revision: 1.20 $, $Date: 2011/08/31 18:27:42 $
Summary:	Curses client for Music Player Daemon
Summary(pl.UTF-8):	Klient curses dla demona MPD
Name:		ncmpc
Version:	0.18
Release:	2
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/musicpd/%{name}-%{version}.tar.bz2
# Source0-md5:	9f07e8289b710c7c41b3c80ba73fed76
Patch0:		%{name}-tinfo.patch
URL:		http://mpd.wikia.com/wiki/Client:Ncmpc
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	libmpdclient-devel
BuildRequires:	libtool
BuildRequires:	ncurses-ext-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
Suggests:	mpd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc
connects to a MPD running on a machine on the local network, and
controls this with an interface inspired by cplay. If ncmpc is used
with lirc and irpty it can be used to manage playlists and control MPD
with a remote control.

%description -l pl.UTF-8
ncmpc to klient curses dla demona MPD (Music Player Daemon). ncmpc
łączy się z MPD działającym na maszynie w sieci lokalnej i steruje nim
przy użyciu interfejsu zainspirowanego programem cplay. Jeśli ncmpc
jest używany z lircem lub irpty, można go używać do zarządzania
playlistami i sterowania MPD za pomocą pilota.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	CPPFLAGS="-I/usr/include/ncurses" \
	--enable-lyrics-screen \
	--with-lyrics-plugin-dir=%{_libdir}/ncmpc/lyrics
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang ncmpc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ncmpc.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README doc/*.sample doc/ncmpc.lirc
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ncmpc
%dir %{_libdir}/ncmpc/lyrics
%attr(755,root,root) %{_libdir}/ncmpc/lyrics/*
%{_mandir}/man1/ncmpc.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ncmpc.spec,v $
Revision 1.20  2011/08/31 18:27:42  arekm
- release 2

Revision 1.19  2010/09/28 09:09:30  lisu
- 0.18

Revision 1.18  2010/07/19 13:28:02  lisu
- 0.17
- fix linking (-tinfo.patch)

Revision 1.17  2010/01/20 11:29:22  lisu
- up to 0.16.1

Revision 1.16  2010/01/11 15:56:29  sparky
- BR: gettext-devel, pkgconfig, rpm-pythonprov

Revision 1.15  2010/01/11 15:45:16  evil
- adapterized
- build and package lyrics plugins

Revision 1.14  2009/12/29 20:23:33  wiget
- updated to 0.16

Revision 1.13  2009/09/29 09:29:01  lisu
- 0.15

Revision 1.12  2009/04/22 07:42:05  lisu
- 0.14

Revision 1.11  2009/02/18 20:52:59  arekm
- release 2

Revision 1.10  2009/01/26 13:21:57  uzsolt
- suggests mpd
- adapterized

Revision 1.9  2009/01/15 10:33:01  lisu
- new URL

Revision 1.8  2009/01/09 15:52:29  lisu
- one more thing merged (more docs)
- more verbose things

Revision 1.7  2009/01/09 15:46:16  lisu
- up to 0.13
- merge
- remove configure.patch

Revision 1.6  2008/12/22 19:42:39  wiget
- updated to 0.12

Revision 1.5.2.1  2008/11/26 15:47:42  lisu
- up to 0.12_beta1
- skipp cflags checking in configure (configure.patch)
- BR: libtool and remove gettext BR (not needed)
- less files in %%doc
- adapterized

Revision 1.5  2008/07/27 23:05:52  arekm
- release 2

Revision 1.4  2007-02-12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.2  2006/12/19 23:00:38  qboosh
- pl

Revision 1.1  2006/12/13 21:42:10  jajcus
- new spec
